package java.lang;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2007, 2013  All Rights Reserved
 */

import java.security.AccessControlContext;

import sun.misc.JavaLangAccess;
import sun.reflect.ConstantPool;
import sun.reflect.annotation.AnnotationType;

/**
 * Helper class used by the Sun JDK to allow privileged access to classes
 * from outside the java.lang package.  The sun.misc.SharedSecrets class
 * uses an instance of this class to access private java.lang members.
 */

class Access implements JavaLangAccess {

	/** Return the constant pool for a class. */
	public ConstantPool getConstantPool(java.lang.Class arg0) {
		throw new InternalError("not implemented");
	}

	/**
     * Set the AnnotationType instance corresponding to this class.
     * (This method only applies to annotation types.)
     */
	public void setAnnotationType(java.lang.Class arg0, AnnotationType arg1) {
		throw new InternalError("not implemented");
	}

    /**
     * Get the AnnotationType instance corresponding to this class.
     * (This method only applies to annotation types.)
     */
	public AnnotationType getAnnotationType(java.lang.Class arg0) {
		throw new InternalError("not implemented");
	}

	public Thread newThreadWithAcc(Runnable runnable, AccessControlContext acc) {
		return new Thread(runnable, acc);
	}
}
